com.trendmicro.ds.appcontrol.rest.object.drift

## Class ScopeWithHostGroup

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.DriftQueryScope
  - - com.trendmicro.ds.appcontrol.rest.object.drift.ScopeWithHostGroup

-     public class ScopeWithHostGroup
      extends DriftQueryScope

  A scope for a drift query, including time range, property filters, and a host group or smart folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeWithHostGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostGroupID()` Get the host group ID that this query should be scoped by.
    `java.lang.Long` | `getSmartFolderID()` Get the smart folder ID that this query should be scoped by.
    `void` | `setHostGroupID(java.lang.Integer hostGroupID)` Set the host group ID that this query should be scoped by.
    `void` | `setSmartFolderID(java.lang.Long smartFolderID)` Set the smart folder ID that this query should be scoped by.
    `ScopeWithHostGroup` | `withHostGroupID(java.lang.Integer hostGroupID)` Set the host group ID that this query should be scoped by.
    `ScopeWithHostGroup` | `withSmartFolderID(java.lang.Long smartFolderID)` Set the smart folder ID that this query should be scoped by.

    - ### Methods inherited from class com.trendmicro.ds.appcontrol.rest.object.drift.DriftQueryScope

      `getFilter, getTimeRange, setFilter, setTimeRange, withFilter, withTimeRange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeWithHostGroup

          public ScopeWithHostGroup()

  - ### Method Detail

    - #### getHostGroupID

          public java.lang.Integer getHostGroupID()

      Get the host group ID that this query should be scoped by.
      Returns:
        the host group ID that this query should be scoped by.

    - #### setHostGroupID

          public void setHostGroupID(java.lang.Integer hostGroupID)

      Set the host group ID that this query should be scoped by.
      Parameters:
        `hostGroupID` - the host group ID that this query should be scoped by.

    - #### withHostGroupID

          public ScopeWithHostGroup withHostGroupID(java.lang.Integer hostGroupID)

      Set the host group ID that this query should be scoped by.
      Parameters:
        `hostGroupID` - the host group ID that this query should be scoped by.
      Returns:
        the updated ScopeWithHostGroup object.

    - #### getSmartFolderID

          public java.lang.Long getSmartFolderID()

      Get the smart folder ID that this query should be scoped by.
      Returns:
        the smart folder ID that this query should be scoped by.

    - #### setSmartFolderID

          public void setSmartFolderID(java.lang.Long smartFolderID)

      Set the smart folder ID that this query should be scoped by.
      Parameters:
        `smartFolderID` - the smart folder ID that this query should be scoped by.

    - #### withSmartFolderID

          public ScopeWithHostGroup withSmartFolderID(java.lang.Long smartFolderID)

      Set the smart folder ID that this query should be scoped by.
      Parameters:
        `smartFolderID` - the smart folder ID that this query should be scoped by.
      Returns:
        the updated ScopeWithHostGroup object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.